Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in libssh
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in libssh
ID: openSUSE-SU-2020:0102-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: So, 26. Januar 2020, 00:07
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14889
Applikationen: libssh

Originalnachricht

   openSUSE Security Update: Security update for libssh
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0102-1
Rating: important
References: #1158095
Cross-References: CVE-2019-14889
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libssh fixes the following issues:

- CVE-2019-14889: Fixed an unwanted command execution in scp caused by
unsanitized location (bsc#1158095).

This update was imported from the SUSE:SLE-15-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-102=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libssh-debugsource-0.8.7-lp151.2.9.1
libssh-devel-0.8.7-lp151.2.9.1
libssh4-0.8.7-lp151.2.9.1
libssh4-debuginfo-0.8.7-lp151.2.9.1

- openSUSE Leap 15.1 (x86_64):

libssh4-32bit-0.8.7-lp151.2.9.1
libssh4-32bit-debuginfo-0.8.7-lp151.2.9.1


References:

https://www.suse.com/security/cve/CVE-2019-14889.html
https://bugzilla.suse.com/1158095

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung